Batch
Start a batch scrape job
POST
/batch/scrapeAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
urls*array<string>
Array of URLs to scrape
formats?array<string>
Output formats
Default
[ "markdown"]webhook?
Webhook configuration
onlyMainContent?boolean
Only extract main content
Default
trueincludeTags?array<string>
Tags to include
excludeTags?array<string>
Tags to exclude
waitFor?number
Wait time in milliseconds
Default
0timeout?number
Timeout in milliseconds
Default
30000proxy?string
Proxy mode. auto starts direct and escalates only when blocked. basic is an alias for none.
Default
"auto"Value in
- "none"
- "basic"
- "datacenter"
- "residential"
- "stealth"
- "auto"
headers?
Custom headers
actions?array<string>
Actions to perform on each page
maxConcurrency?number
Maximum number of concurrent scrapes for this batch
Range
1 <= value <= 50ignoreInvalidURLs?boolean
Ignore invalid URLs and process remaining valid ones
Default
truezeroDataRetention?boolean
Enable zero data retention mode (requires activation)
Default
falseResponse Body
application/json
curl -X POST "https://example.com/batch/scrape" \ -H "Content-Type: application/json" \ -d '{ "urls": [ "https://example.com/page1", "https://example.com/page2" ] }'{ "id": "batch_uuid", "status": "PENDING", "url": "/batch/scrape/batch_uuid"}Empty